package pps.core.task.job;

import pps.core.task.constant.TaskConstant;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.service.job.XJob;
import xstartup.service.job.annotation.XCronTrigger;

/**
 * 第三方单井平均有功功率定时任务
 *
 * @author ZWT
 * @date 2024/04/01 17:01
 */
@XText("第三方单井平均有功功率定时任务")
@XService
public class ThirdWellAvgActivePowerJob implements XJob {

    /**
     * 一小时一次
     *
     * @param xContext x上下文
     * @return {@link XServiceResult}
     */
    @XCronTrigger(value = TaskConstant.HOUR_ZERO)
    @Override
    public XServiceResult execute(XContext xContext) {

        return null;
    }
}
